---------------------
PatchSet 372 
Date: 2002/12/14 04:39:40
Author: rbcollins
Branch: unify-io
Tag: (none) 
Log:
shotgun conversion to methods

Members: 
	src/SwapDir.cc:1.1.2.20->1.1.2.21 
	src/SwapDir.h:1.1.2.28->1.1.2.29 
	src/store_dir.cc:1.4.10.11->1.4.10.12 
	src/ufscommon.cc:1.4.10.23->1.4.10.24 
	src/ufscommon.h:1.1.20.48->1.1.20.49 
	src/fs/aufs/store_dir_aufs.cc:1.2.12.28->1.2.12.29 
	src/fs/coss/store_coss.h:1.3.10.24->1.3.10.25 
	src/fs/coss/store_dir_coss.cc:1.4.10.25->1.4.10.26 
	src/fs/diskd/store_dir_diskd.cc:1.2.16.36->1.2.16.37 
	src/fs/null/store_null.cc:1.1.20.12->1.1.20.13 
	src/fs/ufs/store_dir_ufs.cc:1.1.20.31->1.1.20.32 

Index: squid3/src/SwapDir.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/SwapDir.cc,v
retrieving revision 1.1.2.20
retrieving revision 1.1.2.21
diff -u -r1.1.2.20 -r1.1.2.21
--- squid3/src/SwapDir.cc	14 Dec 2002 03:13:20 -0000	1.1.2.20
+++ squid3/src/SwapDir.cc	14 Dec 2002 04:39:40 -0000	1.1.2.21
@@ -1,6 +1,6 @@
 
 /*
- * $Id: SwapDir.cc,v 1.1.2.20 2002/12/14 03:13:20 rbcollins Exp $
+ * $Id: SwapDir.cc,v 1.1.2.21 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section ??    Swap Dir base object
  * AUTHOR: Robert Collins
@@ -109,3 +109,9 @@
 
 void
 SwapDir::closeLog(){}
+
+int
+SwapDir::writeCleanStart()
+{
+    return 0;
+}
Index: squid3/src/SwapDir.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/SwapDir.h,v
retrieving revision 1.1.2.28
retrieving revision 1.1.2.29
diff -u -r1.1.2.28 -r1.1.2.29
--- squid3/src/SwapDir.h	14 Dec 2002 03:13:21 -0000	1.1.2.28
+++ squid3/src/SwapDir.h	14 Dec 2002 04:39:40 -0000	1.1.2.29
@@ -1,6 +1,6 @@
 
 /*
- * $Id: SwapDir.h,v 1.1.2.28 2002/12/14 03:13:21 rbcollins Exp $
+ * $Id: SwapDir.h,v 1.1.2.29 2002/12/14 04:39:40 rbcollins Exp $
  *
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
@@ -36,7 +36,6 @@
 
 #include "StoreIOState.h"
 typedef void STLOGWRITE(const SwapDir *, const StoreEntry *, int);
-typedef int STLOGCLEANSTART(SwapDir *);
 typedef const StoreEntry *STLOGCLEANNEXTENTRY(SwapDir *);
 typedef void STLOGCLEANWRITE(SwapDir *, const StoreEntry *);
 typedef void STLOGCLEANDONE(SwapDir *);
@@ -84,7 +83,6 @@
     struct {
 	STLOGWRITE *write;
 	struct {
-	    STLOGCLEANSTART *start;
 	    STLOGCLEANNEXTENTRY *nextentry;
 	    STLOGCLEANWRITE *write;
 	    STLOGCLEANDONE *done;
@@ -92,6 +90,7 @@
 	} clean;
 	int writes_since_clean;
     } log;
+    virtual int writeCleanStart();
     struct {
 	int blksize;
     } fs;
Index: squid3/src/store_dir.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/store_dir.cc,v
retrieving revision 1.4.10.11
retrieving revision 1.4.10.12
diff -u -r1.4.10.11 -r1.4.10.12
--- squid3/src/store_dir.cc	14 Dec 2002 03:13:21 -0000	1.4.10.11
+++ squid3/src/store_dir.cc	14 Dec 2002 04:39:40 -0000	1.4.10.12
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir.cc,v 1.4.10.11 2002/12/14 03:13:21 rbcollins Exp $
+ * $Id: store_dir.cc,v 1.4.10.12 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -384,7 +384,7 @@
     start = current_time;
     for (dirn = 0; dirn < Config.cacheSwap.n_configured; dirn++) {
 	sd = INDEXSD(dirn);
-	if (sd->log.clean.start(sd) < 0) {
+	if (sd->writeCleanStart() < 0) {
 	    debug(20, 1) ("log.clean.start() failed for dir #%d\n", sd->index);
 	    continue;
 	}
Index: squid3/src/ufscommon.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ufscommon.cc,v
retrieving revision 1.4.10.23
retrieving revision 1.4.10.24
diff -u -r1.4.10.23 -r1.4.10.24
--- squid3/src/ufscommon.cc	14 Dec 2002 03:13:21 -0000	1.4.10.23
+++ squid3/src/ufscommon.cc	14 Dec 2002 04:39:40 -0000	1.4.10.24
@@ -1,5 +1,5 @@
 /*
- * $Id: ufscommon.cc,v 1.4.10.23 2002/12/14 03:13:21 rbcollins Exp $
+ * $Id: ufscommon.cc,v 1.4.10.24 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -65,7 +65,6 @@
 static char *commonUfsDirSwapSubDir(SwapDir *, int subdirn);
 static int commonUfsDirVerifyDirectory(const char *path);
 static int commonUfsDirMapBitTest(SwapDir * SD, sfileno filn);
-static char *commonUfsDirSwapLogFile(SwapDir *, const char *);
 static EVH commonUfsDirRebuildFromDirectory;
 static EVH commonUfsDirRebuildFromSwapLog;
 static int commonUfsDirGetNextFile(RebuildState *, sfileno *, int *size);
@@ -79,8 +78,6 @@
     u_int32_t refcount,
     u_int16_t flags,
     int clean);
-static void commonUfsDirCloseTmpSwapLog(SwapDir * sd);
-static FILE *commonUfsDirOpenTmpSwapLog(SwapDir *, int *, int *);
 static STLOGCLEANWRITE commonUfsDirWriteCleanEntry;
 static QS rev_int_sort;
 static void commonUfsDirMapBitSet(SwapDir * SD, sfileno filn);
@@ -249,33 +246,33 @@
 }
 
 char *
-commonUfsDirSwapLogFile(SwapDir * sd, const char *ext)
+UFSSwapDir::logFile(char const *ext) const
 {
-    LOCAL_ARRAY(char, path, SQUID_MAXPATHLEN);
+    LOCAL_ARRAY(char, lpath, SQUID_MAXPATHLEN);
     LOCAL_ARRAY(char, pathtmp, SQUID_MAXPATHLEN);
     LOCAL_ARRAY(char, digit, 32);
     char *pathtmp2;
     if (Config.Log.swap) {
-	xstrncpy(pathtmp, sd->path, SQUID_MAXPATHLEN - 64);
+	xstrncpy(pathtmp, path, SQUID_MAXPATHLEN - 64);
 	pathtmp2 = pathtmp;
 	while ((pathtmp2 = strchr(pathtmp2, '/')) != NULL)
 	    *pathtmp2 = '.';
 	while (strlen(pathtmp) && pathtmp[strlen(pathtmp) - 1] == '.')
 	    pathtmp[strlen(pathtmp) - 1] = '\0';
 	for (pathtmp2 = pathtmp; *pathtmp2 == '.'; pathtmp2++);
-	snprintf(path, SQUID_MAXPATHLEN - 64, Config.Log.swap, pathtmp2);
-	if (strncmp(path, Config.Log.swap, SQUID_MAXPATHLEN - 64) == 0) {
-	    strcat(path, ".");
-	    snprintf(digit, 32, "%02d", sd->index);
-	    strncat(path, digit, 3);
+	snprintf(lpath, SQUID_MAXPATHLEN - 64, Config.Log.swap, pathtmp2);
+	if (strncmp(lpath, Config.Log.swap, SQUID_MAXPATHLEN - 64) == 0) {
+	    strcat(lpath, ".");
+	    snprintf(digit, 32, "%02d", index);
+	    strncat(lpath, digit, 3);
 	}
     } else {
-	xstrncpy(path, sd->path, SQUID_MAXPATHLEN - 64);
-	strcat(path, "/swap.state");
+	xstrncpy(lpath, path, SQUID_MAXPATHLEN - 64);
+	strcat(lpath, "/swap.state");
     }
     if (ext)
-	strncat(path, ext, 16);
-    return path;
+	strncat(lpath, ext, 16);
+    return lpath;
 }
 
 void
@@ -284,7 +281,7 @@
     squidufsinfo_t *ioinfo = (squidufsinfo_t *) fsdata;
     char *logPath;
     int fd;
-    logPath = commonUfsDirSwapLogFile(this, NULL);
+    logPath = logFile();
     fd = file_open(logPath, O_WRONLY | O_CREAT | O_BINARY);
     if (fd < 0) {
 	debug(50, 1) ("%s: %s\n", logPath, xstrerror());
@@ -340,7 +337,7 @@
 	    debug(47, 1) ("Done scanning %s swaplog (%d entries)\n",
 		rb->sd->path, rb->n_read);
 	    store_dirs_rebuilding--;
-	    commonUfsDirCloseTmpSwapLog(rb->sd);
+	    ((UFSSwapDir *)rb->sd)->closeTmpSwapLog();
 	    storeRebuildComplete(&rb->counts);
 	    cbdataFree(rb);
 	    return;
@@ -476,7 +473,7 @@
 	    fclose(rb->log);
 	    rb->log = NULL;
 	    store_dirs_rebuilding--;
-	    commonUfsDirCloseTmpSwapLog(rb->sd);
+	    ((UFSSwapDir *)rb->sd)->closeTmpSwapLog();
 	    storeRebuildComplete(&rb->counts);
 	    cbdataFree(rb);
 	    return;
@@ -781,7 +778,7 @@
      * use commonUfsDirRebuildFromDirectory() to open up each file
      * and suck in the meta data.
      */
-    fp = commonUfsDirOpenTmpSwapLog(this, &clean, &zero);
+    fp = openTmpSwapLog(&clean, &zero);
     if (fp == NULL || zero) {
 	if (fp != NULL)
 	    fclose(fp);
@@ -800,11 +797,11 @@
 }
 
 void
-commonUfsDirCloseTmpSwapLog(SwapDir * sd)
+UFSSwapDir::closeTmpSwapLog()
 {
-    squidufsinfo_t *ioinfo = (squidufsinfo_t *) sd->fsdata;
-    char *swaplog_path = xstrdup(commonUfsDirSwapLogFile(sd, NULL));
-    char *new_path = xstrdup(commonUfsDirSwapLogFile(sd, ".new"));
+    squidufsinfo_t *ioinfo = (squidufsinfo_t *) fsdata;
+    char *swaplog_path = xstrdup(logFile(NULL));
+    char *new_path = xstrdup(logFile(".new"));
     int fd;
     file_close(ioinfo->swaplog_fd);
 #if defined (_SQUID_OS2_) || defined (_SQUID_CYGWIN_) || defined(_SQUID_MSWIN_)
@@ -824,22 +821,22 @@
     safe_free(swaplog_path);
     safe_free(new_path);
     ioinfo->swaplog_fd = fd;
-    debug(47, 3) ("Cache Dir #%d log opened on FD %d\n", sd->index, fd);
+    debug(47, 3) ("Cache Dir #%d log opened on FD %d\n", index, fd);
 }
 
 FILE *
-commonUfsDirOpenTmpSwapLog(SwapDir * sd, int *clean_flag, int *zero_flag)
+UFSSwapDir::openTmpSwapLog(int *clean_flag, int *zero_flag)
 {
-    squidufsinfo_t *ioinfo = (squidufsinfo_t *) sd->fsdata;
-    char *swaplog_path = xstrdup(commonUfsDirSwapLogFile(sd, NULL));
-    char *clean_path = xstrdup(commonUfsDirSwapLogFile(sd, ".last-clean"));
-    char *new_path = xstrdup(commonUfsDirSwapLogFile(sd, ".new"));
+    squidufsinfo_t *ioinfo = (squidufsinfo_t *) fsdata;
+    char *swaplog_path = xstrdup(logFile(NULL));
+    char *clean_path = xstrdup(logFile(".last-clean"));
+    char *new_path = xstrdup(logFile(".new"));
     struct stat log_sb;
     struct stat clean_sb;
     FILE *fp;
     int fd;
     if (stat(swaplog_path, &log_sb) < 0) {
-	debug(47, 1) ("Cache Dir #%d: No log file\n", sd->index);
+	debug(47, 1) ("Cache Dir #%d: No log file\n", index);
 	safe_free(swaplog_path);
 	safe_free(clean_path);
 	safe_free(new_path);
@@ -894,35 +891,35 @@
  * we succeed, and assign the 'func' and 'data' return pointers.
  */
 int
-commonUfsDirWriteCleanStart(SwapDir * sd)
+UFSSwapDir::writeCleanStart()
 {
     struct _clean_state *state = (struct _clean_state *)xcalloc(1, sizeof(*state));
 #if HAVE_FCHMOD
     struct stat sb;
 #endif
-    sd->log.clean.write = NULL;
-    sd->log.clean.state = NULL;
-    state->newLog = xstrdup(commonUfsDirSwapLogFile(sd, ".clean"));
+    log.clean.write = NULL;
+    log.clean.state = NULL;
+    state->newLog = xstrdup(logFile(".clean"));
     state->fd = file_open(state->newLog, O_WRONLY | O_CREAT | O_TRUNC | O_BINARY);
     if (state->fd < 0) {
 	xfree(state->newLog);
 	xfree(state);
 	return -1;
     }
-    state->cur = xstrdup(commonUfsDirSwapLogFile(sd, NULL));
-    state->cln = xstrdup(commonUfsDirSwapLogFile(sd, ".last-clean"));
+    state->cur = xstrdup(logFile(NULL));
+    state->cln = xstrdup(logFile(".last-clean"));
     state->outbuf = (char *)xcalloc(CLEAN_BUF_SZ, 1);
     state->outbuf_offset = 0;
-    state->walker = sd->repl->WalkInit(sd->repl);
-    unlink(state->cln);
+    state->walker = repl->WalkInit(repl);
+    ::unlink(state->cln);
     debug(47, 3) ("storeDirWriteCleanLogs: opened %s, FD %d\n",
 	state->newLog, state->fd);
 #if HAVE_FCHMOD
     if (stat(state->cur, &sb) == 0)
 	fchmod(state->fd, sb.st_mode);
 #endif
-    sd->log.clean.write = commonUfsDirWriteCleanEntry;
-    sd->log.clean.state = state;
+    log.clean.write = commonUfsDirWriteCleanEntry;
+    log.clean.state = state;
     return 0;
 }
 
Index: squid3/src/ufscommon.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/Attic/ufscommon.h,v
retrieving revision 1.1.20.48
retrieving revision 1.1.20.49
diff -u -r1.1.20.48 -r1.1.20.49
--- squid3/src/ufscommon.h	14 Dec 2002 03:13:21 -0000	1.1.20.48
+++ squid3/src/ufscommon.h	14 Dec 2002 04:39:40 -0000	1.1.20.49
@@ -1,6 +1,6 @@
 
 /*
- * $Id: ufscommon.h,v 1.1.20.48 2002/12/14 03:13:21 rbcollins Exp $
+ * $Id: ufscommon.h,v 1.1.20.49 2002/12/14 04:39:40 rbcollins Exp $
  *
  * SQUID Web Proxy Cache          http://www.squid-cache.org/
  * ----------------------------------------------------------
@@ -59,7 +59,6 @@
 FREE storeSwapLogDataFree;
 void commonUfsDirWriteCleanDone(SwapDir * sd);
 const StoreEntry *commonUfsDirCleanLogNextEntry(SwapDir * sd);
-int commonUfsDirWriteCleanStart(SwapDir * sd);
 void commonUfsDirUnlinkFile(SwapDir * SD, sfileno f);
 void commonUfsDirMaintain(SwapDir * SD);
 void commonUfsDirRefObj(SwapDir * SD, StoreEntry * e);
@@ -93,12 +92,16 @@
   virtual StoreIOState::Pointer openStoreIO(StoreEntry &, STFNCB *, STIOCB *, void *);
   virtual void openLog();
   virtual void closeLog();
+  virtual int writeCleanStart();
 
   void unlinkFile(sfileno f);
   // move down when unlink is a virtual method
 //protected:
   UFSStrategy *IO;
   char *fullPath(sfileno, char *) const;
+  /* temp */
+  void closeTmpSwapLog();
+  FILE *openTmpSwapLog(int *clean_flag, int *zero_flag);
 private:
   static EVH CleanEvent;
   void initBitmap();
@@ -107,6 +110,7 @@
   int createDirectory(const char *path, int);
   void createSwapSubDirs();
   void dumpEntry(StoreEntry &) const;
+  char *logFile(char const *ext = NULL)const;
 };
 
 #include "RefCount.h"
Index: squid3/src/fs/aufs/store_dir_aufs.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/aufs/Attic/store_dir_aufs.cc,v
retrieving revision 1.2.12.28
retrieving revision 1.2.12.29
diff -u -r1.2.12.28 -r1.2.12.29
--- squid3/src/fs/aufs/store_dir_aufs.cc	14 Dec 2002 03:13:21 -0000	1.2.12.28
+++ squid3/src/fs/aufs/store_dir_aufs.cc	14 Dec 2002 04:39:40 -0000	1.2.12.29
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir_aufs.cc,v 1.2.12.28 2002/12/14 03:13:21 rbcollins Exp $
+ * $Id: store_dir_aufs.cc,v 1.2.12.29 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -189,7 +189,6 @@
     aioinfo->suggest = 0;
     aioinfo->io.storeDirUnlinkFile = storeAufsDirIOUnlinkFile;
     sd->log.write = commonUfsDirSwapLog;
-    sd->log.clean.start = commonUfsDirWriteCleanStart;
     sd->log.clean.nextentry = commonUfsDirCleanLogNextEntry;
     sd->log.clean.done = commonUfsDirWriteCleanDone;
 
Index: squid3/src/fs/coss/store_coss.h
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/coss/store_coss.h,v
retrieving revision 1.3.10.24
retrieving revision 1.3.10.25
diff -u -r1.3.10.24 -r1.3.10.25
--- squid3/src/fs/coss/store_coss.h	14 Dec 2002 03:13:21 -0000	1.3.10.24
+++ squid3/src/fs/coss/store_coss.h	14 Dec 2002 04:39:40 -0000	1.3.10.25
@@ -112,6 +112,7 @@
     virtual StoreIOState::Pointer openStoreIO(StoreEntry &, STFNCB *, STIOCB *, void *);
     virtual void openLog();
     virtual void closeLog();
+    virtual int writeCleanStart();
 };
 
 extern off_t storeCossAllocate(SwapDir * SD, const StoreEntry * e, int which);
Index: squid3/src/fs/coss/store_dir_coss.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/coss/store_dir_coss.cc,v
retrieving revision 1.4.10.25
retrieving revision 1.4.10.26
diff -u -r1.4.10.25 -r1.4.10.26
--- squid3/src/fs/coss/store_dir_coss.cc	14 Dec 2002 03:13:21 -0000	1.4.10.25
+++ squid3/src/fs/coss/store_dir_coss.cc	14 Dec 2002 04:39:40 -0000	1.4.10.26
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir_coss.cc,v 1.4.10.25 2002/12/14 03:13:21 rbcollins Exp $
+ * $Id: store_dir_coss.cc,v 1.4.10.26 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section 47    Store COSS Directory Routines
  * AUTHOR: Eric Stern
@@ -75,7 +75,6 @@
 static void storeCossDirRebuild(SwapDir * sd);
 static void storeCossDirCloseTmpSwapLog(SwapDir * sd);
 static FILE *storeCossDirOpenTmpSwapLog(SwapDir *, int *, int *);
-static STLOGCLEANSTART storeCossDirWriteCleanStart;
 static STLOGCLEANNEXTENTRY storeCossDirCleanLogNextEntry;
 static STLOGCLEANWRITE storeCossDirWriteCleanEntry;
 static STLOGCLEANDONE storeCossDirWriteCleanDone;
@@ -468,28 +467,28 @@
  * opening some log files and allocating write buffers.  Return 0 if
  * we succeed, and assign the 'func' and 'data' return pointers.
  */
-static int
-storeCossDirWriteCleanStart(SwapDir * sd)
+int
+CossSwapDir::writeCleanStart()
 {
-    CossInfo *cs = (CossInfo *) sd->fsdata;
+    CossInfo *cs = (CossInfo *) fsdata;
     struct _clean_state *state = (struct _clean_state *)xcalloc(1, sizeof(*state));
 #if HAVE_FCHMOD
     struct stat sb;
 #endif
-    state->newLog = xstrdup(storeCossDirSwapLogFile(sd, ".clean"));
+    state->newLog = xstrdup(storeCossDirSwapLogFile(this, ".clean"));
     state->fd = file_open(state->newLog, O_WRONLY | O_CREAT | O_TRUNC | O_BINARY);
     if (state->fd < 0) {
 	xfree(state->newLog);
 	xfree(state);
 	return -1;
     }
-    sd->log.clean.write = NULL;
-    sd->log.clean.state = NULL;
-    state->cur = xstrdup(storeCossDirSwapLogFile(sd, NULL));
-    state->cln = xstrdup(storeCossDirSwapLogFile(sd, ".last-clean"));
+    log.clean.write = NULL;
+    log.clean.state = NULL;
+    state->cur = xstrdup(storeCossDirSwapLogFile(this, NULL));
+    state->cln = xstrdup(storeCossDirSwapLogFile(this, ".last-clean"));
     state->outbuf = (char *)xcalloc(CLEAN_BUF_SZ, 1);
     state->outbuf_offset = 0;
-    unlink(state->cln);
+    ::unlink(state->cln);
     state->current = cs->index.tail;
     debug(50, 3) ("storeCOssDirWriteCleanLogs: opened %s, FD %d\n",
 	state->newLog, state->fd);
@@ -497,8 +496,8 @@
     if (stat(state->cur, &sb) == 0)
 	fchmod(state->fd, sb.st_mode);
 #endif
-    sd->log.clean.write = storeCossDirWriteCleanEntry;
-    sd->log.clean.state = state;
+    log.clean.write = storeCossDirWriteCleanEntry;
+    log.clean.state = state;
 
     return 0;
 }
@@ -752,7 +751,6 @@
     cs->swaplog_fd = -1;
 
     sd->log.write = storeCossDirSwapLog;
-    sd->log.clean.start = storeCossDirWriteCleanStart;
     sd->log.clean.write = storeCossDirWriteCleanEntry;
     sd->log.clean.nextentry = storeCossDirCleanLogNextEntry;
     sd->log.clean.done = storeCossDirWriteCleanDone;
Index: squid3/src/fs/diskd/store_dir_diskd.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/diskd/Attic/store_dir_diskd.cc,v
retrieving revision 1.2.16.36
retrieving revision 1.2.16.37
diff -u -r1.2.16.36 -r1.2.16.37
--- squid3/src/fs/diskd/store_dir_diskd.cc	14 Dec 2002 03:13:21 -0000	1.2.16.36
+++ squid3/src/fs/diskd/store_dir_diskd.cc	14 Dec 2002 04:39:40 -0000	1.2.16.37
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir_diskd.cc,v 1.2.16.36 2002/12/14 03:13:21 rbcollins Exp $
+ * $Id: store_dir_diskd.cc,v 1.2.16.37 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -394,7 +394,6 @@
     ufsinfo->suggest = 0;
     ufsinfo->io.storeDirUnlinkFile = storeDiskdDirIOUnlinkFile;
     sd->log.write = commonUfsDirSwapLog;
-    sd->log.clean.start = commonUfsDirWriteCleanStart;
     sd->log.clean.nextentry = commonUfsDirCleanLogNextEntry;
     sd->log.clean.done = commonUfsDirWriteCleanDone;
 
Index: squid3/src/fs/null/store_null.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/null/store_null.cc,v
retrieving revision 1.1.20.12
retrieving revision 1.1.20.13
diff -u -r1.1.20.12 -r1.1.20.13
--- squid3/src/fs/null/store_null.cc	14 Dec 2002 00:54:29 -0000	1.1.20.12
+++ squid3/src/fs/null/store_null.cc	14 Dec 2002 04:39:40 -0000	1.1.20.13
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_null.cc,v 1.1.20.12 2002/12/14 00:54:29 rbcollins Exp $
+ * $Id: store_null.cc,v 1.1.20.13 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -53,7 +53,6 @@
 
 static int null_initialised = 0;
 static STFSRECONFIGURE storeNullDirReconfigure;
-static STLOGCLEANSTART storeNullDirWriteCleanStart;
 static STLOGCLEANDONE storeNullDirWriteCleanDone;
 static EVH storeNullDirRebuildComplete;
 
@@ -116,12 +115,6 @@
     return -1;
 }
 
-static int
-storeNullDirWriteCleanStart(SwapDir * unused)
-{
-    return 0;
-}
-
 static void
 storeNullDirWriteCleanDone(SwapDir * unused)
 {
@@ -133,7 +126,6 @@
 {
     sd->index = index;
     sd->path = xstrdup(path);
-    sd->log.clean.start = storeNullDirWriteCleanStart;
     sd->log.clean.done = storeNullDirWriteCleanDone;
     parse_cachedir_options(sd, NULL, 0);
 }
Index: squid3/src/fs/ufs/store_dir_ufs.cc
===================================================================
RCS file: /cvsroot/squid-sf//squid3/src/fs/ufs/store_dir_ufs.cc,v
retrieving revision 1.1.20.31
retrieving revision 1.1.20.32
diff -u -r1.1.20.31 -r1.1.20.32
--- squid3/src/fs/ufs/store_dir_ufs.cc	14 Dec 2002 03:13:22 -0000	1.1.20.31
+++ squid3/src/fs/ufs/store_dir_ufs.cc	14 Dec 2002 04:39:40 -0000	1.1.20.32
@@ -1,6 +1,6 @@
 
 /*
- * $Id: store_dir_ufs.cc,v 1.1.20.31 2002/12/14 03:13:22 rbcollins Exp $
+ * $Id: store_dir_ufs.cc,v 1.1.20.32 2002/12/14 04:39:40 rbcollins Exp $
  *
  * DEBUG: section 47    Store Directory Routines
  * AUTHOR: Duane Wessels
@@ -170,7 +170,6 @@
     ufsinfo->suggest = 0;
     ufsinfo->io.storeDirUnlinkFile = storeUfsDirIOUnlinkFile;
     sd->log.write = commonUfsDirSwapLog;
-    sd->log.clean.start = commonUfsDirWriteCleanStart;
     sd->log.clean.nextentry = commonUfsDirCleanLogNextEntry;
     sd->log.clean.done = commonUfsDirWriteCleanDone;
 
